| GET | /RestApi/translations/projects/services |
|---|
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects;
using Telerik.Sitefinity.Translations.Model;
namespace Telerik.Sitefinity.Translations.Model
{
public enum ProjectStatus
{
NotStarted,
Started,
Completed,
}
}
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
{
public partial class GetProjectsService
: IProjectsFilter
{
public virtual string SearchText { get; set; }
public virtual string[] Service { get; set; }
public virtual ProjectStatus? ProjectStatus { get; set; }
public virtual string ActualSourceLanguage { get; set; }
public virtual bool WithoutSourceLanguage { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/services HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}}]